/*
// Created by Tiny on 3/3/2021.
*/

/*!
 * \file personnage.h
 * \brief Game Header File
 * \authors Tin
 * \version 1
 * \date 03/03/2021
 *
 * Explanation.
 *
 */

#ifndef INSAGAME_GAME_H
#define INSAGAME_GAME_H


#include <SDL2/SDL.h>
#include "personnage.h"

/*!
 * \def WINDOW_WIDTH
 * \brief The window's width.
 */
#define WINDOW_WIDTH 700
/*!
 * \def WINDOW_HEIGHT
 * \brief The window's height.
 */
#define WINDOW_HEIGHT 700

/*!
 * \def SPEED
 * \brief General speed.
 */
#define SPEED 5



SDL_Texture * query_hero(Personnage * hero, SDL_Rect * hero_rect, SDL_Renderer * renderer , SDL_Window * window);

#endif /*INSAGAME_GAME_H*/
