//
// Created by CABANTOUS corto on 18/02/2021.
//



/*!
 * \file prof.h
 * \brief Teacher Header File
 * \authors  Corto
 * \version 1
 * \date 25/02/2021
 *
 * Teacher structure and functions definiton.
 *
 */

#ifndef GAME_INSA_PROJECT_PROF_H
#define GAME_INSA_PROJECT_PROF_H

/*!
 * \struct Prof
 * \brief Teacher structure
 */

typedef struct {
    int x_prof; /**< Position : abscissa */
    int y_prof; /**< Position : ordinate */
    int long_prof; /**< Size : length */
    int larg_prof; /**< Size : width */
    int speed_prof; /**< Teacher speed */
    char * image_prof; /**< Source image of the character. */
} Prof;

void init_prof(Prof * prof, int x, int y, int length, int width, int speed, char * path);

#endif /*GAME_INSA_PROJECT_Prof_H*/



